package cn.iocoder.yudao.module.bpm.service.task;

import cn.iocoder.yudao.module.bpm.dal.dataobject.task.BpmHistoryProcessInstanceDO;

import java.util.List;

/**
 * 历史流程实例 Service 接口
 */
public interface BpmHistoryProcessInstanceService {

    /**
     * 创建历史流程关联记录
     * @param ProcessInstanceId 流程实例ID
     * @param historyProcessInstanceId 历史流程实例ID
     */
    void createHistoryProcessInstance(String ProcessInstanceId, String historyProcessInstanceId);

    List<BpmHistoryProcessInstanceDO> getHistoryProcessInstanceDO(String processInstanceId);
}
